Package javassist.bytecode

# Class SignatureAttribute.ArrayType

java.lang.Object
javassist.bytecode.SignatureAttribute.Type
javassist.bytecode.SignatureAttribute.ObjectType
javassist.bytecode.SignatureAttribute.ArrayType

Enclosing class:
  `SignatureAttribute`

public static class SignatureAttribute.ArrayType extends SignatureAttribute.ObjectType
Array types.

## Constructor Summary

Constructors
Constructor
Description
`ArrayType(int d, SignatureAttribute.Type comp)`
Constructs an `ArrayType`.

## Method Summary

Modifier and Type
Method
Description
`SignatureAttribute.Type`
`getComponentType()`
Returns the component type.
`int`
`getDimension()`
Returns the dimension of the array.
`String`
`toString()`
Returns the string representation.

### Methods inherited from class javassist.bytecode.SignatureAttribute.ObjectType

`encode`

### Methods inherited from class javassist.bytecode.SignatureAttribute.Type

`jvmTypeName`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ArrayType

public ArrayType(int d, SignatureAttribute.Type comp)
Constructs an `ArrayType`.

Parameters:
  `d` - dimension.
  `comp` - the component type.

## Method Details

### getDimension

public int getDimension()
Returns the dimension of the array.

### getComponentType

public SignatureAttribute.Type getComponentType()
Returns the component type.

### toString

public String toString()
Returns the string representation.

Overrides:
  `toString` in class `Object`